### Function

# AppStream get_default_categories_gi

#### Declaration [src]

    GPtrArray*
    as_get_default_categories_gi (
      gboolean with_special
    )

#### Description [src]

Get a list of the default Freedesktop and AppStream categories that software components (especially GUI applications) can be sorted into in software centers.

This function fully transfers ownership of the returned container, to be used in GIR bindings.

This function is renamed to `as_get_default_categories()` in language bindings.

#### Parameters

`with_special`

  Type: `gboolean`

  Include special categories (e.g. “addons”, and “all”/”featured” in submenus).

#### Return value

Type: An array of `AsCategory*`

A list of `AsCategory`.

The caller of the function takes ownership of the data, and is responsible for freeing it.